import pickle
import pygame

levels = {
    "tutorial":{
        "name":"Tutorial",
        "feathers":10,
        "startzone":"area1",
        "startpos":(560,120),
        "background":"day",
        "music":"pass_it_on",
        "next":"level1",
        "legend":{
            "-":("mossslate-floor",40),
            "/":("mossslate-tl",40),
            "\\":("mossslate-tr",40),
            "^":("mossslate-up",40),
            "|":("mossslate-lwall",40),
            "I":("mossslate-rwall",40),
            "#":("mossslate-block",40),
            "H":("mossslate-vert",40),
            "@":("warp",1),
            "E":("exitwarp",1),
            "G":("gwarp",1),
            },
        "areas":{
            
            "area1":{
                "name":"Area 1",
                "text":["What's that Corky? An evil farmer has kidnapped your girlfriend, Penelope?",
                        "He must have taken her to the top of the volcano! God knows what he might be doing to her.",
                        "Farmers are strange people... Anyway, go ahead and squish that dangerous mushroom."],
                "map":[
                    r"/\..................",
                    r"|I..................",
                    r"|I..................",
                    r"|I................^.",
                    r"|I.......^........H.",
                    r"|I./-----#--------I.",
                    r"|I@|##############I.",
                    r"|#-###############I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    ],
                "items":[],
                "enemies":[("Shroom",(220,120))],
                "gates":[(pygame.rect.Rect(80,240,40,40),"area2",(80,240),0)]
                },
            
            "area2":{
                "name":"Area 2",
                "text":["Feathers ... I hope they're not Penelope's feathers.",
                        "Collecting these white feathers will make you a little more air resistant.",
                        "You'll be able to jump slightly higher. Oh, and you'll need them to get through that portal."],
                "map":[
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",                    
                    r"|#################I.",
                    r"|I................H.",
                    r"|I..................",
                    r"|I................^.",
                    r"|I..^...^........@H.",
                    r"|#--#---#---------I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    ],
                "items":[("feather",(172,280)),
                         ("feather",(252,240)),
                         ("feather",(332,280)),],
                "enemies":[],
                "gates":[(pygame.rect.Rect(680,320,40,40),"area3",(320,280),3)]
                },

            "area3":{
                "name":"Area 3",
                "text":["You seem to be hurt. Was it that farmer? Anyway, pick up the egg you see to replenish health.",
                        "Yet again, you'll need all those feathers to open the portal.",
                        "You won't always need feathers to get through portals. Usually only in the tutorial."],
                "map":[
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#I....H.H.....|##I.",                    
                    r"|#I....H.H.....|##I.",
                    r"|#I............|##I.",
                    r"|#I............|##I.",
                    r"|#I@...........|##I.",
                    r"|##------------###I.",                    
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    ],
                "items":[("feather",(332,325)),
                         ("feather",(332,345)),
                         ("feather",(332,365)),
                         ("feather",(575,445)),
                         ("egg",(570,440)),],
                "enemies":[],
                "gates":[(pygame.rect.Rect(120,440,40,40),"area4",(320,360),7)]
                },
            "area4":{
                "name":"Area 4",
                "text":["Woo! Golden egg! This'll increase your health permanently. And restore it too.",
                        "Go get it. If you've collected all the feathers in a level, the gold portal will open for you.",
                        "What might be inside, only I know."],
                "map":[
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#I.............|#I.",
                    r"|#I.............|#I.",
                    r"|#I.............|#I.",
                    r"|#I.............|#I.",
                    r"|#I.............|#I.",
                    r"|#I./-----------##I.",
                    r"|#I.............|#I.",
                    r"|#I............G|#I.",
                    r"|##-------------##I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    r"|#################I.",
                    ],
                "items":[("feather",(132,520)),
                         ("feather",(132,540)),
                         ("feather",(132,560)),
                         ("goldegg",(128,580)),],
                "enemies":[],
                "gates":[(pygame.rect.Rect(600,580,40,40),"area5",(380,560),10)]
                },

            "area5":{
                "name":"Area 5",
                "text":["A powerful gold feather will allow you to flap your wings an additional time.",
                        "So basically double jumping.",
                        "That green warp will take you to level one. I'm sure you're ready now."],
                "map":[
                    r"|##################I.",
                    r"|##################I.",
                    r"|##################I.",
                    r"|##################I.",
                    r"|##################I.",
                    r"|##################I.",
                    r"|##################I.",
                    r"|#I..............|#I.",
                    r"|#I..............|#I.",
                    r"|#I..............|#I.",
                    r"|#I..............|#I.",
                    r"|#I..............|#I.",
                    r"|#I..............|#I.",
                    r"|#I...^......^...|#I.",
                    r"|#I../#\..../#\.E|#I.",
                    r"|##--###----###--##I.",
                    r"|##################I.",
                    r"|##################I.",
                    r"|##################I.",
                    r"|##################I.",
                    r"|##################I.",
                    r"|##################I.",
                    ],
                "items":[("gold",(392,480)),],
                "enemies":[],
                "gates":[(pygame.rect.Rect(640,560,40,40),"END",(0,0),0)]
                },
            
            }
        },

    "level1":{
        "name":"Slated Spire",
        "feathers":18,
        "startzone":"area1",
        "startpos":(2800,80),
        "background":"day",
        "music":"chicarus",
        "next":"level2",
        "legend":{
            "-":("mossslate-floor",40),
            "/":("mossslate-tl",40),
            "\\":("mossslate-tr",40),
            "^":("mossslate-up",40),
            "|":("mossslate-lwall",40),
            "I":("mossslate-rwall",40),
            "#":("mossslate-block",40),
            "H":("mossslate-vert",40),
            "@":("warp",1),
            "E":("exitwarp",1),
            "G":("gwarp",1),
            "~":("hazard-lava",32)
            },
        "areas":{
            
            "area1":{
                "name":"Area 1",
                "text":["This is the foot of the mountain, Corky.",
                        "That extra jump you got in the tutorial will be really helpful."],
                "map":[
                    r"......../-\...............................................................",
                    r"........|#I......................^......................................^.",
                    r".............................../-I./\../\..^............................H.",
                    r".........@.....................|#I............^.........................H.",
                    r"-------------\................/##I........../----\......................H.",
                    r"##############\...............|##I......^.....................^.........H.",
                    r"###############\............./###I........^...................|\........H.",
                    r"################----------------------------------\./-----...------.----I.",
                    r"##################################################I.|#####...######.####I.",
                    r"##################################################I.|#####...######.####I.",
                    r"##################################################I.|#####...######.####I.",
                    r"###########################I............|#########I.|#####...###########I.",
                    r"###########################I@.......^...|#########I.|###################I.",
                    r"############################---------\..............|###################I.",
                    r"######################################\.............|###################I.",
                    r"#######################################-------------####################I.",
                    r"########################################################################I.",
                    r"########################################################################I.",
                    r"########################################################################I.",
                    r"########################################################################I.",
                    r"########################################################################I.",
                    ],
                "items":[("gold",(1320,452)),
                         ("feather",(2492,160)),
                         ("feather",(2052,200)),
                         ("feather",(1692,200)),
                         ("feather",(1612,160)),
                         ("feather",(1852,80)),
                         ("feather",(1732,40)),
                         ("feather",(1592,40)),
                         ("feather",(1432,40)),
                         ("feather",(1200,40)),
                         ("feather",(1160,120)),
                         ("feather",(1120,200)),
                         ],
                "enemies":[("Hoppin",(2280,160)),
                           ("Shroom",(1200,480)),
                           ("Lava",(2680,400)),
                           ("Lava",(2320,440)),
                           ("Lava",(2360,440)),
                           ("Lava",(2400,440)),],
                "gates":[(pygame.rect.Rect(1120,480,40,40),"area1",(2200,80),0),
                         (pygame.rect.Rect(360,120,40,40),"area2",(2840,440),0)]
                },
            
            "area2":{
                "name":"Area 2",
                "text":["Oh by the way; every time you use a portal, your position is checkpointed.",
                        "So don't worry about dying. Well maybe you should. But worry less."],
                "map":[
                    r"/---------\...............................................................",
                    r"|#########I....../\.......................................................",
                    r"|#########I......|#--\../-\........^....^../\.............................",
                    r"|#########I.......................^...........^...........................",
                    r"|#########I...............................................................",
                    r"...............................................^..........................",
                    r"..........................................................................",
                    r"................................................^.........................",
                    r"---------\............................................................/-\.",
                    r"#########I............../--.../\...../\..--\....../-\.................|#I.",
                    r"#########I..............|##..............##I.../-\....................|#I.",
                    r"#########I............./###............./##I.........../\...............H.",
                    r"#########IE.....G......|###.............|##I...........|I...............H.",
                    r"------------------------------------------------------------------------I.",
                    r"########################################################################I.",
                    r"########################################################################I.",
                    r"########################################################################I.",
                    r"########################################################################I.",
                    r"########################################################################I.",
                    r"########################################################################I.",
                    ],
                "items":[("feather",(2232,400)),
                         ("feather",(2052, 320)),
                         ("feather",(1932, 360)),
                         ("feather",(1372, 480)),
                         ("feather",(1512, 320)),
                         ("feather",(1232, 320)),
                         ("feather",(2132, 160)),
                         ("goldegg",(760, 40)),
                         ("goldegg",(330, -40)),
                         ("egg",(760, 480)),
                         ],
                "enemies":[("Hoppin",(1300,480)),
                           ("Hoppin",(1420,480)),
                           ("Shroom",(1320,480)),],
                "gates":[(pygame.rect.Rect(640,480,40,40),"area3",(200,40),18),
                         (pygame.rect.Rect(400,480,40,40),"END",(0,0),0)]
                },

            "area3":{
                "name":"Area 3",
                "text":"You're pretty diligent. Another feather to you dear sir. Or madam. Gawd.",
                "map":[
                    r"/--------\.",
                    r"|I.......|I.",
                    r"|I@..^...|I.",
                    r"|#\...../#I.",
                    r"|I../-\..|I.",
                    r"|#~~~~~~~#I.",
                    r"|#########I.",
                    
                    ],
                "items":[("gold",(212,120)),
                         ],
                "enemies":[("Lava",(80,200)),
                           ("Lava",(120,200)),
                           ("Lava",(160,200)),
                           ("Lava",(200,200)),
                           ("Lava",(240,200)),
                           ("Lava",(280,200)),
                           ("Lava",(320,200)),],
                "gates":[(pygame.rect.Rect(80,80,40,40),"area2",(400,360),0)]
                },
            
            }
        },

    "level2":{
        "name":"Coldhook Caverns",
        "feathers":36,
        "startzone":"area1",
        "startpos":(3240, 760),
        "background":"night",
        "music":"chicarus",
        "next":"levelX",
        "legend":{
            "-":("mossslate-floor",40),
            "/":("mossslate-tl",40),
            "\\":("mossslate-tr",40),
            "^":("mossslate-up",40),
            "|":("mossslate-lwall",40),
            "I":("mossslate-rwall",40),
            "#":("mossslate-block",40),
            "H":("mossslate-vert",40),
            "@":("warp",1),
            "E":("exitwarp",1),
            "G":("gwarp",1),
            "~":("hazard-lava",32)
            },
        "areas":{
            
            "area1":{
                "name":"Area 1",
                "text":["This is Coldhook mountain. Ironic name for a volcano, I know."],
                "map":[
                    r"#############I........................................................................",
                    r"#############I........................................................................",
                    r"#############I........................................................................",
                    r"#############I........................................................................",
                    r"#############I........................................................................",
                    r"#############I........................................................................",
                    r"#############I........................................................................",
                    r"#############I........................................................................",
                    r"#############I........................................................................",
                    r"#############I........................................................................",
                    r"############I@........................................................................",
                    r"#############--------\................................................................",
                    r"#####################I................................................................",
                    r"#############I........................................................................",
                    r"#############I...............^........................................./----\.........",
                    r"#############I...............H........................................................",
                    r"#############I...............H...../--\...............................................",
                    r"##############--\............H.....|###-\./--\.../\...................................",
                    r"#############I...............H........................................................",
                    r"#############I........................................................................",                    
                    r"#############I........................................^...............................",
                    r"##############---------.------\.........../--.-\......H..................../--------\.",
                    r"###############################...........###.##-------------\.............|########I.",
                    r"#############################################.################-------------#########I.",
                    r"####################################################################################I.",
                    r"####################################################################################I.",
                    r"####################################################################################I.",
                    r"####################################################################################I.",
                    r"####################################################################################I.",
                    r"####################################################################################I.",
                    r"####################################################################################I.",
                    r"####################################################################I@................",
                    r"#####################################################################---------------\.",
                    r"#####################################################################################\.",
                    r"#####################################################################################I",
                    r"#####################################################################################I",
                    r"#####################################################################################I",
                    r"#####################################################################################I",
                    r"#####################################################################################I",
                    r"#####################################################################################I",
                    ],
                "items":[("gold",(2880, 1252)),
                         ("goldegg",(2960, 520)),
                         ("feather",(3080, 800)),
                         ("feather",(3160, 800)),
                         ("feather",(2880, 840)),
                         ("feather",(2760, 840)),
                         ("feather",(2640, 840)),
                         ("feather",(2520, 840)),
                         ("feather",(2080, 720)),

                         ("feather",(1980, 640)),
                         ("feather",(1740, 640)),
                         ("feather",(1560, 640)),
                         ("feather",(1480, 600)),
                         ("feather",(1400, 600)),
                         
                         ("feather",(1200, 560)),
                         ("feather",(1200, 600)),
                         ("feather",(1200, 640)),
                         ("feather",(1200, 680)),

                         ("feather",(560, 640)),
                         ("feather",(600, 640)),
                         ],
                "enemies":[("Wisp",(2280, 780)),
                           ("Wisp",(2400, 720)),
                           ("Wisp",(2520, 680)),
                           ("Wisp",(2480, 600)),
                           ("Wisp",(2560, 520)),
                           ("Metal",(1320, 800)),
                           ("Metal",(1420, 800)),
                           ("Metal",(1520, 800)),
                           ("Lava",(1800, 920)),
                           ("Lava",(1600, 880)),
                           ("Lava",(1560, 880)),
                           ("Lava",(1520, 880)),
                           ("Lava",(1480, 880)),
                           ("Lava",(1440, 880)),
                           ("Lava",(1400, 880)),
                           ("Lava",(1360, 880)),
                           ("Lava",(1320, 880)),
                           ("Lava",(1280, 880)),
                           ("Lava",(1240, 880)),
                           ("Lava",(1640, 880)),
                           ("Bounce",(920, 840))
                           ],
                "gates":[(pygame.rect.Rect(2760, 1240,40,40),"area1",(3240, 760),0),
                         (pygame.rect.Rect(520, 400,40,40),"area2",(2160, 1040),0)]
                },
            "area2":{
                "name":"Area 2",
                "text":["Inside the mountain now. What was that? No of course I can't see the sky.",
                        "We're in a cave silly."],
                "map":[
                    r"######################################################################",
                    r"######################################################################",
                    r"######################################################################",
                    r"######################################################################",
                    r"######################################################################",
                    r"######################################################################",
                    r"#####################I..|#############################I..|############",
                    r"#####################IG...|####################I.........|############",
                    r"######################-\..|#####################-------\.|############",
                    r"########################\.|############################I.|############",
                    r"########################I.|############################I.|############",
                    r"##########I....|#I............................|##I..........|############",
                    r"##########I....|#I...........................E|##I..........|############",
                    r"##########I...@|#I........................../-###I..........|############",
                    r"###########----##I............................|##I..........|############",
                    r"#################I......^.^.............^.^........./--\./--##########",
                    r"##################----------\..../------------------##################",
                    r"###########I.............................................H.|##########",
                    r"###########I............../-------\............................|######",
                    r"###########I.............^................................/----#######",
                    r"###########I...f........................................./############",
                    r"###########I.............................................|############",
                    r"###########I.............................................|############",
                    r"###########I.....f.............^.........................|############",
                    r"###########I...................H.........................|############",
                    r"###########I...........^.^....../----\...................|############",
                    r"###########I...........|-I...............................|############",
                    r"###########I.............................................|############",
                    r"############-.-.-.-----------\................./---------#############",
                    r"#############################I.................|######################",
                    r"#############################I................/#######################",
                    r"#############################I................|#######################",
                    r"#############################I................|#######################",
                    r"#############################I................|#######################",
                    r"#############################I................|#######################",
                    r"#############################I................|#######################",
                    ],
                "items":[("gold",(1920, 292)),
                         ("gold",(520, 480)),
                         ("goldegg",(2480, 720)),
                         
                         ("feather",(692, 1000)),
                         ("feather",(692, 960)),
                         ("feather",(692, 920)),
                         ("feather",(692, 880)),

                         ("feather",(612, 960)),
                         ("feather",(612, 920)),
                         ("feather",(612, 880)),
                         ("feather",(612, 840)),
                         ("feather",(612, 800)),
                         ("feather",(612, 1000)),

                         ("feather",(532, 960)),
                         ("feather",(532, 920)),
                         ("feather",(532, 880)),
                         ("feather",(532, 840)),
                         ("feather",(532, 800)),
                         ("feather",(532, 760)),
                         ("feather",(532, 720)),
                         ("feather",(532, 1000)),
                         ],
                "enemies":[("Bounce",(1840, 1160)),
                           ("Bounce",(520, 1120)),
                           ("Blue",(600, 1120)),
                           ("Orange",(680, 1120)),
                           ("Bounce",(960, 1000)),
                           ("Blue",(1000, 600)),
                           ("Blue",(1640, 600)),
                           ("Blue",(2240, 600)),
                           ("Hoppin",(1400, 920)),
                           ("Hoppin",(1300, 920)),
                           ("Wisp",(1840, 680)),
                           ("Wisp",(2080, 880)),
                           ("Wisp",(2080, 910)),
                           ("Wisp",(2080, 940)),
                           ("Shroom",(1880, 600)),
                            ],
                "gates":[(pygame.rect.Rect(880, 280,40,40),"area2",(480, 480),24),
                         (pygame.rect.Rect(1800, 480,40,40),"END",(0,0),0),
                         (pygame.rect.Rect(560, 520,40,40),"area2",(1000, 280),0)]
                },
            
            },
        },

    "levelX":{
        "name":"Farmer's Furnace",
        "feathers":100,
        "startzone":"area1",
        "startpos":(880, 640),
        "background":"storm",
        "music":"place_of_shadows",
        "next":None,
        "legend":{
            "-":("mossslate-floor",40),
            "/":("mossslate-tl",40),
            "\\":("mossslate-tr",40),
            "^":("mossslate-up",40),
            "|":("mossslate-lwall",40),
            "I":("mossslate-rwall",40),
            "#":("mossslate-block",40),
            "H":("mossslate-vert",40),
            "_":("mossslate-low",20),
            "@":("warp",1),
            "E":("endwarp",1),
            "G":("gwarp",1),
            "C":("penelope",1),
            "~":("hazard-lava",32)
            },
        "areas":{
            
            "Lava":{
                "name":"Lava Passage",
                "text":["You think this room looks bad? You didn't have to place the goddamn lava."],
                "map":[
                    r"#######################################################################################",
                    r"#######################################################################################",
                    r"#######################################################################################",
                    r"#######################################################################################",
                    r"#######################################################################################",
                    r"#######################################################################################",
                    r"###########I...............................................................|###########",
                    r"###########I...............................................................|###########",
                    r"###########I...............................................................|###########",
                    r"###########I.................^.....^............................../--\.....|###########",
                    r"###########I...............^........./--\../\../\../\..^..^.^.^............|###########",
                    r"############-----\.../-\........^..........................................|###########",
                    r"###########I...............................................................|###########",
                    r"###########I@...../------\.........../-----\.........../--\................|###########",
                    r"############-\..................^............/\../\.........^.^.^....../---############",
                    r"############...............................................................############",
                    r"#######################################################################################",
                    r"#######################################################################################",
                    r"#######################################################################################",
                    r"#######################################################################################",
                    r"#######################################################################################",
                    r"#######################################################################################",
                    r"#######################################################################################",
                    ],
                "items":[
                    ("feather",(892, 400)),
                    ("feather",(852, 400)),
                    ("feather",(1092, 360)),
                    ("feather",(1172, 320)),
                    ("feather",(1292, 400)),
                    ("feather",(1412, 320)),
                    ("feather",(1492, 360)),
                    ("feather",(1552, 360)),
                    ("feather",(1612, 360)),
                    ("feather",(1752, 360)),
                    ("feather",(1912, 360)),
                    ("feather",(2072, 360)),
                    ("feather",(2212, 360)),
                    ("feather",(2332, 360)),
                    ("feather",(2412, 360)),
                    ("feather",(2572, 320)),
                    ("feather",(2652, 320)),
                    ("feather",(2692, 320)),
                    ("feather",(2732, 320)),
                    ("feather",(2772, 320)),
                    ],
                "enemies":[
                    ("Metal2",(760, 440)),
                    ("Metal2",(960, 440)),
                    ("Metal2",(1120, 440)),
                    ("Metal2",(1220, 440)),
                    ("Metal2",(1340, 440)),
                    ("Metal2",(1440, 440)),
                    ("Metal2",(1660, 440)),
                    ("Metal2",(1820, 440)),
                    ("Metal2",(1980, 440)),
                    ("Metal2",(2260, 440)),
                    ("Metal2",(2360, 440)),
                    ("Metal2",(2440, 440)),
                    ("Metal2",(2520, 440)),
                    ("Metal2",(2600, 440)),
                    ("Lava",(480,600)),
                    ("Lava",(520,600)),
                    ("Lava",(560,600)),
                    ("Lava",(600,600)),
                    ("Lava",(640,600)),
                    ("Lava",(680,600)),
                    ("Lava",(720,600)),
                    ("Lava",(760,600)),
                    ("Lava",(800,600)),
                    ("Lava",(840,600)),
                    ("Lava",(880,600)),
                    ("Lava",(920,600)),
                    ("Lava",(960,600)),
                    ("Lava",(1000,600)),
                    ("Lava",(1040,600)),
                    ("Lava",(1080,600)),
                    ("Lava",(1120,600)),
                    ("Lava",(1160,600)),
                    ("Lava",(1200,600)),
                    ("Lava",(1240,600)),
                    ("Lava",(1280,600)),
                    ("Lava",(1320,600)),
                    ("Lava",(1360,600)),
                    ("Lava",(1400,600)),
                    ("Lava",(1440,600)),
                    ("Lava",(1480,600)),
                    ("Lava",(1520,600)),
                    ("Lava",(1560,600)),
                    ("Lava",(1600,600)),
                    ("Lava",(1640,600)),
                    ("Lava",(1680,600)),
                    ("Lava",(1720,600)),
                    ("Lava",(1760,600)),
                    ("Lava",(1800,600)),
                    ("Lava",(1840,600)),
                    ("Lava",(1880,600)),
                    ("Lava",(1920,600)),
                    ("Lava",(1960,600)),
                    ("Lava",(2000,600)),
                    ("Lava",(2040,600)),
                    ("Lava",(2080,600)),
                    ("Lava",(2120,600)),
                    ("Lava",(2160,600)),
                    ("Lava",(2200,600)),
                    ("Lava",(2240,600)),
                    ("Lava",(2280,600)),
                    ("Lava",(2320,600)),
                    ("Lava",(2360,600)),
                    ("Lava",(2400,600)),
                    ("Lava",(2440,600)),
                    ("Lava",(2480,600)),
                    ("Lava",(2520,600)),
                    ("Lava",(2560,600)),
                    ("Lava",(2600,600)),
                    ("Lava",(2640,600)),
                    ("Lava",(2680,600)),
                    ("Lava",(2720,600)),
                    ("Lava",(2760,600)),
                    ("Lava",(2800,600)),
                    ("Lava",(2840,600)),
                    ("Lava",(2880,600)),
                    ("Lava",(2920,600)),
                           ],
                "gates":[(pygame.rect.Rect(480, 520,40,40),"area1",(580,400),20)]
                },
            "area1":{
                "name":"Foyer",
                "text":["Finally, the Farmer's diabolical chicken coop above Mt. Coldhook.",
                        "Good luck Corky.",
                        "When you finally escape, the game will crash. Please don't rate me down too much for it."],
                "map":[
                    r"##############################################",
                    r"##############################################",
                    r"##############################################",
                    r"##############################################",
                    r"##############################################",
                    r"##############################################",
                    r"############I....................|############",
                    r"############I....................|############",
                    r"############I....................|############",
                    r"############I.........EC.........|############",
                    r"############I......./----\.......|############",
                    r"############I....................|############",
                    r"#############------\...../-------#############",
                    r"####################\....|####################",
                    r"################I............|################",
                    r"################I............|################",
                    r"###############I^............@|###############",
                    r"################I............|################",
                    r"###############I^............^|###############",
                    r"################--------------################",
                    r"##############################################",
                    r"##############################################",
                    r"##############################################",
                    r"##############################################",
                    r"##############################################",
                    r"##############################################",
                    
                    
                    ],
                "items":[],
                "enemies":[],
                "gates":[(pygame.rect.Rect(1160, 640,40,40),"Lava",(480,360),0),
                         (pygame.rect.Rect(880, 360,40,40),"GameEnd",(1000,0),0)],
                },
            
            }
        }
    }

for L in levels:              
    f = open("%s.pickle"% L,"w")
    pickle.dump(levels[L],f)
    
